<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tool="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="es.verdnatura.presentation.view.feature.inventario.model.ItemInventaryVO" />
    </data>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">
        <LinearLayout
            android:id="@+id/item_row_layout"
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingStart="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/pasilleros_margin_main_menu"
            android:paddingTop="@dimen/pasilleros_margin_main_menu">


            <TextView
                android:id="@+id/item_fk"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="start"
                android:text="@{Integer.toString(item.itemFk)}"
                android:textColor="@color/verdnatura_white"
                android:textSize="@dimen/h7"
                android:textStyle="bold"
                tool:text="31100" />

        </LinearLayout>
        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingStart="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/pasilleros_margin_main_menu">


            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@{item.longName}"
                android:textSize="@dimen/body2"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_white"
                android:layout_weight="1"
                android:gravity="start"
                tool:text="Alstromeria Blanca"/>

        </LinearLayout>
        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingStart="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/pasilleros_margin_main_menu">

            <TextView
                android:id="@+id/itemColor"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@{item.itemColour}"
                android:textSize="@dimen/body2"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_white"
                android:layout_weight="2"
                android:gravity="start"
                tool:text="Amarillo" />
        </LinearLayout>
        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingStart="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/pasilleros_margin_main_menu">


            <TextView
                android:id="@+id/txtPendingAmount"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text=""
                android:textSize="@dimen/body2"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_white"
                android:layout_weight="2"
                android:gravity="start"
                tool:text="80" />
        </LinearLayout>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingStart="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/pasilleros_margin_main_menu"
            android:paddingBottom="@dimen/pasilleros_margin_main_menu">


            <TextView
                android:id="@+id/item_producer"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:text="@{item.producer}"
                android:textSize="@dimen/body2"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_white"
                android:layout_weight="1"
                android:gravity="start"
                tool:text="Benchmark"/>


        </LinearLayout>

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/verdnatura_black_5"
            android:paddingStart="@dimen/pasilleros_margin_main_menu"
            android:paddingEnd="@dimen/pasilleros_margin_main_menu"
            android:paddingBottom="@dimen/pasilleros_margin_main_menu">


            <TextView
                android:id="@+id/item_down"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@{String.valueOf(item.downstairs)}"
                android:textSize="@dimen/h6"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_pumpkin_orange"
                android:layout_weight="1"
                android:gravity="center"
                tool:text="730"/>

            <TextView
                android:id="@+id/item_up"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@{String.valueOf(item.upstairs)}"
                android:textSize="@dimen/h6"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_pumpkin_orange"
                android:layout_weight="1"
                android:gravity="center"
                tool:text="0" />
            <TextView
                android:id="@+id/item_nicho"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@{String.valueOf(item.nicho)}"
                android:textSize="@dimen/h6"
                android:textStyle="bold"
                android:textColor="@color/verdnatura_red"
                android:layout_weight="1"
                android:gravity="center"
                tool:text="-50" />

        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/verdnatura_black_9"/>
    </LinearLayout>
</layout>